# VRML/NODES/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../../Config.common
include ../../Config.site

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
PUBSOURCES = \
	AppearanceBase.C \
	PhB3DTexture.C \
	PhB3DTextureTransform.C \
	PhB3DTexturedSurface.C \
	PhBAppearance.C \
	PhBAtmosphere.C \
	PhBBackground.C \
	PhBBlackBodySpectrum.C \
	PhBDiffuseEmitter.C \
	PhBDiffuseReflector.C \
	PhBDiffuseRefractor.C \
	PhBDistortion.C \
	PhBEDF.C \
	PhBEmitter.C \
	PhBHomogeneousMedium.C \
	PhBHomogeneousSurface.C \
	PhBInterpolatedMedium.C \
	PhBInterpolatedSpectrum.C \
	PhBInterpolatedSurface.C \
	PhBIsotropicPhaseFunction.C \
	PhBLayeredSurface.C \
	PhBLxySpectrum.C \
	PhBMedium.C \
	PhBMixedSpectrum.C \
	PhBMonochromaticSpectrum.C \
	PhBPerfectSpecularReflector.C \
	PhBPerfectSpecularRefractor.C \
	PhBPhF.C \
	PhBPhaseFunction.C \
	PhBPhongEmitter.C \
	PhBPhongReflector.C \
	PhBPhongRefractor.C \
	PhBProcedural3DTexture.C \
	PhBProceduralBackground.C \
	PhBProceduralEmitter.C \
	PhBProceduralPhaseFunction.C \
	PhBProceduralScatterer.C \
	PhBProceduralSpectrum.C \
	PhBProceduralTexture.C \
	PhBProceduralTextureProjection.C \
	PhBSDF.C \
	PhBSampledIsotropicEmitter.C \
	PhBSampledSpectrum.C \
	PhBScatterer.C \
	PhBSpectrum.C \
	PhBSurface.C \
	PhBSurfaceDistortion.C \
	PhBTabulatedSpectrum.C \
	PhBTexture.C \
	PhBTextureEmitter.C \
	PhBTextureProjection.C \
	PhBTexturedBackground.C \
	PhBTexturedMedium.C \
	PhBTexturedSurface.C \
	PhBVolumeDistortion.C \
	PhBXYZSpectrum.C
PRIVSOURCES = ${PUBSOURCES:.C=P.C}
SOURCES = ${PUBSOURCES} ${PRIVSOURCES}

OBJECTS = ${SOURCES:.C=.o}

CFLAGS = $(_CFLAGS) -I.. -I../NODES
LDFLAGS = $(_LDFLAGS)

#default target: compile
all: $(OBJECTS)

# generate source file dependencies
depend:
	$(MAKEDEPEND) $(CFLAGS) $(SOURCES) > deps

# make a clean source tree again
cleanhere: cleangen

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps
